// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

/**
 * <pre>
 * Frequency Droop Function
 * </pre>
 *
 * Protobuf type {@code commonmodule.HzWAPC}
 */
public final class HzWAPC extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:commonmodule.HzWAPC)
    HzWAPCOrBuilder {
private static final long serialVersionUID = 0L;
  // Use HzWAPC.newBuilder() to construct.
  private HzWAPC(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private HzWAPC() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new HzWAPC();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_HzWAPC_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_HzWAPC_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.commonmodule.HzWAPC.class, openfmb.commonmodule.HzWAPC.Builder.class);
  }

  public static final int OVERHZWPT_FIELD_NUMBER = 1;
  private openfmb.commonmodule.HzWPoint overHzWPt_;
  /**
   * <pre>
   * Overfrequency Droop &lt;i&gt;db&lt;/i&gt;OF  The frequency which must be higher than the reference frequency
   * at which to start reducing power output.
   * </pre>
   *
   * <code>.commonmodule.HzWPoint overHzWPt = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the overHzWPt field is set.
   */
  @java.lang.Override
  public boolean hasOverHzWPt() {
    return overHzWPt_ != null;
  }
  /**
   * <pre>
   * Overfrequency Droop &lt;i&gt;db&lt;/i&gt;OF  The frequency which must be higher than the reference frequency
   * at which to start reducing power output.
   * </pre>
   *
   * <code>.commonmodule.HzWPoint overHzWPt = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The overHzWPt.
   */
  @java.lang.Override
  public openfmb.commonmodule.HzWPoint getOverHzWPt() {
    return overHzWPt_ == null ? openfmb.commonmodule.HzWPoint.getDefaultInstance() : overHzWPt_;
  }
  /**
   * <pre>
   * Overfrequency Droop &lt;i&gt;db&lt;/i&gt;OF  The frequency which must be higher than the reference frequency
   * at which to start reducing power output.
   * </pre>
   *
   * <code>.commonmodule.HzWPoint overHzWPt = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.HzWPointOrBuilder getOverHzWPtOrBuilder() {
    return overHzWPt_ == null ? openfmb.commonmodule.HzWPoint.getDefaultInstance() : overHzWPt_;
  }

  public static final int OVERHZWPARAMETER_FIELD_NUMBER = 2;
  private openfmb.commonmodule.OperationDHFW overHzWParameter_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.OperationDHFW overHzWParameter = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the overHzWParameter field is set.
   */
  @java.lang.Override
  public boolean hasOverHzWParameter() {
    return overHzWParameter_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.OperationDHFW overHzWParameter = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The overHzWParameter.
   */
  @java.lang.Override
  public openfmb.commonmodule.OperationDHFW getOverHzWParameter() {
    return overHzWParameter_ == null ? openfmb.commonmodule.OperationDHFW.getDefaultInstance() : overHzWParameter_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.OperationDHFW overHzWParameter = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.OperationDHFWOrBuilder getOverHzWParameterOrBuilder() {
    return overHzWParameter_ == null ? openfmb.commonmodule.OperationDHFW.getDefaultInstance() : overHzWParameter_;
  }

  public static final int UNDERHZWPT_FIELD_NUMBER = 3;
  private openfmb.commonmodule.HzWPoint underHzWPt_;
  /**
   * <pre>
   * Underfrequency Droop &lt;i&gt;db&lt;/i&gt;UF  The frequency which must be lower than the reference frequency
   * at which to start increasing power output.
   * </pre>
   *
   * <code>.commonmodule.HzWPoint underHzWPt = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the underHzWPt field is set.
   */
  @java.lang.Override
  public boolean hasUnderHzWPt() {
    return underHzWPt_ != null;
  }
  /**
   * <pre>
   * Underfrequency Droop &lt;i&gt;db&lt;/i&gt;UF  The frequency which must be lower than the reference frequency
   * at which to start increasing power output.
   * </pre>
   *
   * <code>.commonmodule.HzWPoint underHzWPt = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The underHzWPt.
   */
  @java.lang.Override
  public openfmb.commonmodule.HzWPoint getUnderHzWPt() {
    return underHzWPt_ == null ? openfmb.commonmodule.HzWPoint.getDefaultInstance() : underHzWPt_;
  }
  /**
   * <pre>
   * Underfrequency Droop &lt;i&gt;db&lt;/i&gt;UF  The frequency which must be lower than the reference frequency
   * at which to start increasing power output.
   * </pre>
   *
   * <code>.commonmodule.HzWPoint underHzWPt = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.HzWPointOrBuilder getUnderHzWPtOrBuilder() {
    return underHzWPt_ == null ? openfmb.commonmodule.HzWPoint.getDefaultInstance() : underHzWPt_;
  }

  public static final int UNDERHZWPARAMETER_FIELD_NUMBER = 4;
  private openfmb.commonmodule.OperationDLFW underHzWParameter_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.OperationDLFW underHzWParameter = 4 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the underHzWParameter field is set.
   */
  @java.lang.Override
  public boolean hasUnderHzWParameter() {
    return underHzWParameter_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.OperationDLFW underHzWParameter = 4 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The underHzWParameter.
   */
  @java.lang.Override
  public openfmb.commonmodule.OperationDLFW getUnderHzWParameter() {
    return underHzWParameter_ == null ? openfmb.commonmodule.OperationDLFW.getDefaultInstance() : underHzWParameter_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.OperationDLFW underHzWParameter = 4 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.OperationDLFWOrBuilder getUnderHzWParameterOrBuilder() {
    return underHzWParameter_ == null ? openfmb.commonmodule.OperationDLFW.getDefaultInstance() : underHzWParameter_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (overHzWPt_ != null) {
      output.writeMessage(1, getOverHzWPt());
    }
    if (overHzWParameter_ != null) {
      output.writeMessage(2, getOverHzWParameter());
    }
    if (underHzWPt_ != null) {
      output.writeMessage(3, getUnderHzWPt());
    }
    if (underHzWParameter_ != null) {
      output.writeMessage(4, getUnderHzWParameter());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (overHzWPt_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getOverHzWPt());
    }
    if (overHzWParameter_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getOverHzWParameter());
    }
    if (underHzWPt_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(3, getUnderHzWPt());
    }
    if (underHzWParameter_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(4, getUnderHzWParameter());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.commonmodule.HzWAPC)) {
      return super.equals(obj);
    }
    openfmb.commonmodule.HzWAPC other = (openfmb.commonmodule.HzWAPC) obj;

    if (hasOverHzWPt() != other.hasOverHzWPt()) return false;
    if (hasOverHzWPt()) {
      if (!getOverHzWPt()
          .equals(other.getOverHzWPt())) return false;
    }
    if (hasOverHzWParameter() != other.hasOverHzWParameter()) return false;
    if (hasOverHzWParameter()) {
      if (!getOverHzWParameter()
          .equals(other.getOverHzWParameter())) return false;
    }
    if (hasUnderHzWPt() != other.hasUnderHzWPt()) return false;
    if (hasUnderHzWPt()) {
      if (!getUnderHzWPt()
          .equals(other.getUnderHzWPt())) return false;
    }
    if (hasUnderHzWParameter() != other.hasUnderHzWParameter()) return false;
    if (hasUnderHzWParameter()) {
      if (!getUnderHzWParameter()
          .equals(other.getUnderHzWParameter())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasOverHzWPt()) {
      hash = (37 * hash) + OVERHZWPT_FIELD_NUMBER;
      hash = (53 * hash) + getOverHzWPt().hashCode();
    }
    if (hasOverHzWParameter()) {
      hash = (37 * hash) + OVERHZWPARAMETER_FIELD_NUMBER;
      hash = (53 * hash) + getOverHzWParameter().hashCode();
    }
    if (hasUnderHzWPt()) {
      hash = (37 * hash) + UNDERHZWPT_FIELD_NUMBER;
      hash = (53 * hash) + getUnderHzWPt().hashCode();
    }
    if (hasUnderHzWParameter()) {
      hash = (37 * hash) + UNDERHZWPARAMETER_FIELD_NUMBER;
      hash = (53 * hash) + getUnderHzWParameter().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.commonmodule.HzWAPC parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.HzWAPC parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.HzWAPC parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.HzWAPC parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.HzWAPC parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.HzWAPC parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.HzWAPC parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.HzWAPC parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.commonmodule.HzWAPC parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.HzWAPC parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.commonmodule.HzWAPC parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.HzWAPC parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.commonmodule.HzWAPC prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Frequency Droop Function
   * </pre>
   *
   * Protobuf type {@code commonmodule.HzWAPC}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:commonmodule.HzWAPC)
      openfmb.commonmodule.HzWAPCOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_HzWAPC_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_HzWAPC_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.commonmodule.HzWAPC.class, openfmb.commonmodule.HzWAPC.Builder.class);
    }

    // Construct using openfmb.commonmodule.HzWAPC.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      overHzWPt_ = null;
      if (overHzWPtBuilder_ != null) {
        overHzWPtBuilder_.dispose();
        overHzWPtBuilder_ = null;
      }
      overHzWParameter_ = null;
      if (overHzWParameterBuilder_ != null) {
        overHzWParameterBuilder_.dispose();
        overHzWParameterBuilder_ = null;
      }
      underHzWPt_ = null;
      if (underHzWPtBuilder_ != null) {
        underHzWPtBuilder_.dispose();
        underHzWPtBuilder_ = null;
      }
      underHzWParameter_ = null;
      if (underHzWParameterBuilder_ != null) {
        underHzWParameterBuilder_.dispose();
        underHzWParameterBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_HzWAPC_descriptor;
    }

    @java.lang.Override
    public openfmb.commonmodule.HzWAPC getDefaultInstanceForType() {
      return openfmb.commonmodule.HzWAPC.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.commonmodule.HzWAPC build() {
      openfmb.commonmodule.HzWAPC result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.commonmodule.HzWAPC buildPartial() {
      openfmb.commonmodule.HzWAPC result = new openfmb.commonmodule.HzWAPC(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.commonmodule.HzWAPC result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.overHzWPt_ = overHzWPtBuilder_ == null
            ? overHzWPt_
            : overHzWPtBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.overHzWParameter_ = overHzWParameterBuilder_ == null
            ? overHzWParameter_
            : overHzWParameterBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000004) != 0)) {
        result.underHzWPt_ = underHzWPtBuilder_ == null
            ? underHzWPt_
            : underHzWPtBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000008) != 0)) {
        result.underHzWParameter_ = underHzWParameterBuilder_ == null
            ? underHzWParameter_
            : underHzWParameterBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.commonmodule.HzWAPC) {
        return mergeFrom((openfmb.commonmodule.HzWAPC)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.commonmodule.HzWAPC other) {
      if (other == openfmb.commonmodule.HzWAPC.getDefaultInstance()) return this;
      if (other.hasOverHzWPt()) {
        mergeOverHzWPt(other.getOverHzWPt());
      }
      if (other.hasOverHzWParameter()) {
        mergeOverHzWParameter(other.getOverHzWParameter());
      }
      if (other.hasUnderHzWPt()) {
        mergeUnderHzWPt(other.getUnderHzWPt());
      }
      if (other.hasUnderHzWParameter()) {
        mergeUnderHzWParameter(other.getUnderHzWParameter());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getOverHzWPtFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getOverHzWParameterFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            case 26: {
              input.readMessage(
                  getUnderHzWPtFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000004;
              break;
            } // case 26
            case 34: {
              input.readMessage(
                  getUnderHzWParameterFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000008;
              break;
            } // case 34
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.HzWPoint overHzWPt_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.HzWPoint, openfmb.commonmodule.HzWPoint.Builder, openfmb.commonmodule.HzWPointOrBuilder> overHzWPtBuilder_;
    /**
     * <pre>
     * Overfrequency Droop &lt;i&gt;db&lt;/i&gt;OF  The frequency which must be higher than the reference frequency
     * at which to start reducing power output.
     * </pre>
     *
     * <code>.commonmodule.HzWPoint overHzWPt = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the overHzWPt field is set.
     */
    public boolean hasOverHzWPt() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * Overfrequency Droop &lt;i&gt;db&lt;/i&gt;OF  The frequency which must be higher than the reference frequency
     * at which to start reducing power output.
     * </pre>
     *
     * <code>.commonmodule.HzWPoint overHzWPt = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The overHzWPt.
     */
    public openfmb.commonmodule.HzWPoint getOverHzWPt() {
      if (overHzWPtBuilder_ == null) {
        return overHzWPt_ == null ? openfmb.commonmodule.HzWPoint.getDefaultInstance() : overHzWPt_;
      } else {
        return overHzWPtBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * Overfrequency Droop &lt;i&gt;db&lt;/i&gt;OF  The frequency which must be higher than the reference frequency
     * at which to start reducing power output.
     * </pre>
     *
     * <code>.commonmodule.HzWPoint overHzWPt = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setOverHzWPt(openfmb.commonmodule.HzWPoint value) {
      if (overHzWPtBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        overHzWPt_ = value;
      } else {
        overHzWPtBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Overfrequency Droop &lt;i&gt;db&lt;/i&gt;OF  The frequency which must be higher than the reference frequency
     * at which to start reducing power output.
     * </pre>
     *
     * <code>.commonmodule.HzWPoint overHzWPt = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setOverHzWPt(
        openfmb.commonmodule.HzWPoint.Builder builderForValue) {
      if (overHzWPtBuilder_ == null) {
        overHzWPt_ = builderForValue.build();
      } else {
        overHzWPtBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Overfrequency Droop &lt;i&gt;db&lt;/i&gt;OF  The frequency which must be higher than the reference frequency
     * at which to start reducing power output.
     * </pre>
     *
     * <code>.commonmodule.HzWPoint overHzWPt = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeOverHzWPt(openfmb.commonmodule.HzWPoint value) {
      if (overHzWPtBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          overHzWPt_ != null &&
          overHzWPt_ != openfmb.commonmodule.HzWPoint.getDefaultInstance()) {
          getOverHzWPtBuilder().mergeFrom(value);
        } else {
          overHzWPt_ = value;
        }
      } else {
        overHzWPtBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Overfrequency Droop &lt;i&gt;db&lt;/i&gt;OF  The frequency which must be higher than the reference frequency
     * at which to start reducing power output.
     * </pre>
     *
     * <code>.commonmodule.HzWPoint overHzWPt = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearOverHzWPt() {
      bitField0_ = (bitField0_ & ~0x00000001);
      overHzWPt_ = null;
      if (overHzWPtBuilder_ != null) {
        overHzWPtBuilder_.dispose();
        overHzWPtBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Overfrequency Droop &lt;i&gt;db&lt;/i&gt;OF  The frequency which must be higher than the reference frequency
     * at which to start reducing power output.
     * </pre>
     *
     * <code>.commonmodule.HzWPoint overHzWPt = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.HzWPoint.Builder getOverHzWPtBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getOverHzWPtFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * Overfrequency Droop &lt;i&gt;db&lt;/i&gt;OF  The frequency which must be higher than the reference frequency
     * at which to start reducing power output.
     * </pre>
     *
     * <code>.commonmodule.HzWPoint overHzWPt = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.HzWPointOrBuilder getOverHzWPtOrBuilder() {
      if (overHzWPtBuilder_ != null) {
        return overHzWPtBuilder_.getMessageOrBuilder();
      } else {
        return overHzWPt_ == null ?
            openfmb.commonmodule.HzWPoint.getDefaultInstance() : overHzWPt_;
      }
    }
    /**
     * <pre>
     * Overfrequency Droop &lt;i&gt;db&lt;/i&gt;OF  The frequency which must be higher than the reference frequency
     * at which to start reducing power output.
     * </pre>
     *
     * <code>.commonmodule.HzWPoint overHzWPt = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.HzWPoint, openfmb.commonmodule.HzWPoint.Builder, openfmb.commonmodule.HzWPointOrBuilder> 
        getOverHzWPtFieldBuilder() {
      if (overHzWPtBuilder_ == null) {
        overHzWPtBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.HzWPoint, openfmb.commonmodule.HzWPoint.Builder, openfmb.commonmodule.HzWPointOrBuilder>(
                getOverHzWPt(),
                getParentForChildren(),
                isClean());
        overHzWPt_ = null;
      }
      return overHzWPtBuilder_;
    }

    private openfmb.commonmodule.OperationDHFW overHzWParameter_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.OperationDHFW, openfmb.commonmodule.OperationDHFW.Builder, openfmb.commonmodule.OperationDHFWOrBuilder> overHzWParameterBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.OperationDHFW overHzWParameter = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the overHzWParameter field is set.
     */
    public boolean hasOverHzWParameter() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.OperationDHFW overHzWParameter = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The overHzWParameter.
     */
    public openfmb.commonmodule.OperationDHFW getOverHzWParameter() {
      if (overHzWParameterBuilder_ == null) {
        return overHzWParameter_ == null ? openfmb.commonmodule.OperationDHFW.getDefaultInstance() : overHzWParameter_;
      } else {
        return overHzWParameterBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.OperationDHFW overHzWParameter = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setOverHzWParameter(openfmb.commonmodule.OperationDHFW value) {
      if (overHzWParameterBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        overHzWParameter_ = value;
      } else {
        overHzWParameterBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.OperationDHFW overHzWParameter = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setOverHzWParameter(
        openfmb.commonmodule.OperationDHFW.Builder builderForValue) {
      if (overHzWParameterBuilder_ == null) {
        overHzWParameter_ = builderForValue.build();
      } else {
        overHzWParameterBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.OperationDHFW overHzWParameter = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeOverHzWParameter(openfmb.commonmodule.OperationDHFW value) {
      if (overHzWParameterBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          overHzWParameter_ != null &&
          overHzWParameter_ != openfmb.commonmodule.OperationDHFW.getDefaultInstance()) {
          getOverHzWParameterBuilder().mergeFrom(value);
        } else {
          overHzWParameter_ = value;
        }
      } else {
        overHzWParameterBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.OperationDHFW overHzWParameter = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearOverHzWParameter() {
      bitField0_ = (bitField0_ & ~0x00000002);
      overHzWParameter_ = null;
      if (overHzWParameterBuilder_ != null) {
        overHzWParameterBuilder_.dispose();
        overHzWParameterBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.OperationDHFW overHzWParameter = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.OperationDHFW.Builder getOverHzWParameterBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getOverHzWParameterFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.OperationDHFW overHzWParameter = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.OperationDHFWOrBuilder getOverHzWParameterOrBuilder() {
      if (overHzWParameterBuilder_ != null) {
        return overHzWParameterBuilder_.getMessageOrBuilder();
      } else {
        return overHzWParameter_ == null ?
            openfmb.commonmodule.OperationDHFW.getDefaultInstance() : overHzWParameter_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.OperationDHFW overHzWParameter = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.OperationDHFW, openfmb.commonmodule.OperationDHFW.Builder, openfmb.commonmodule.OperationDHFWOrBuilder> 
        getOverHzWParameterFieldBuilder() {
      if (overHzWParameterBuilder_ == null) {
        overHzWParameterBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.OperationDHFW, openfmb.commonmodule.OperationDHFW.Builder, openfmb.commonmodule.OperationDHFWOrBuilder>(
                getOverHzWParameter(),
                getParentForChildren(),
                isClean());
        overHzWParameter_ = null;
      }
      return overHzWParameterBuilder_;
    }

    private openfmb.commonmodule.HzWPoint underHzWPt_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.HzWPoint, openfmb.commonmodule.HzWPoint.Builder, openfmb.commonmodule.HzWPointOrBuilder> underHzWPtBuilder_;
    /**
     * <pre>
     * Underfrequency Droop &lt;i&gt;db&lt;/i&gt;UF  The frequency which must be lower than the reference frequency
     * at which to start increasing power output.
     * </pre>
     *
     * <code>.commonmodule.HzWPoint underHzWPt = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the underHzWPt field is set.
     */
    public boolean hasUnderHzWPt() {
      return ((bitField0_ & 0x00000004) != 0);
    }
    /**
     * <pre>
     * Underfrequency Droop &lt;i&gt;db&lt;/i&gt;UF  The frequency which must be lower than the reference frequency
     * at which to start increasing power output.
     * </pre>
     *
     * <code>.commonmodule.HzWPoint underHzWPt = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The underHzWPt.
     */
    public openfmb.commonmodule.HzWPoint getUnderHzWPt() {
      if (underHzWPtBuilder_ == null) {
        return underHzWPt_ == null ? openfmb.commonmodule.HzWPoint.getDefaultInstance() : underHzWPt_;
      } else {
        return underHzWPtBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * Underfrequency Droop &lt;i&gt;db&lt;/i&gt;UF  The frequency which must be lower than the reference frequency
     * at which to start increasing power output.
     * </pre>
     *
     * <code>.commonmodule.HzWPoint underHzWPt = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setUnderHzWPt(openfmb.commonmodule.HzWPoint value) {
      if (underHzWPtBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        underHzWPt_ = value;
      } else {
        underHzWPtBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Underfrequency Droop &lt;i&gt;db&lt;/i&gt;UF  The frequency which must be lower than the reference frequency
     * at which to start increasing power output.
     * </pre>
     *
     * <code>.commonmodule.HzWPoint underHzWPt = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setUnderHzWPt(
        openfmb.commonmodule.HzWPoint.Builder builderForValue) {
      if (underHzWPtBuilder_ == null) {
        underHzWPt_ = builderForValue.build();
      } else {
        underHzWPtBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Underfrequency Droop &lt;i&gt;db&lt;/i&gt;UF  The frequency which must be lower than the reference frequency
     * at which to start increasing power output.
     * </pre>
     *
     * <code>.commonmodule.HzWPoint underHzWPt = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeUnderHzWPt(openfmb.commonmodule.HzWPoint value) {
      if (underHzWPtBuilder_ == null) {
        if (((bitField0_ & 0x00000004) != 0) &&
          underHzWPt_ != null &&
          underHzWPt_ != openfmb.commonmodule.HzWPoint.getDefaultInstance()) {
          getUnderHzWPtBuilder().mergeFrom(value);
        } else {
          underHzWPt_ = value;
        }
      } else {
        underHzWPtBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Underfrequency Droop &lt;i&gt;db&lt;/i&gt;UF  The frequency which must be lower than the reference frequency
     * at which to start increasing power output.
     * </pre>
     *
     * <code>.commonmodule.HzWPoint underHzWPt = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearUnderHzWPt() {
      bitField0_ = (bitField0_ & ~0x00000004);
      underHzWPt_ = null;
      if (underHzWPtBuilder_ != null) {
        underHzWPtBuilder_.dispose();
        underHzWPtBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Underfrequency Droop &lt;i&gt;db&lt;/i&gt;UF  The frequency which must be lower than the reference frequency
     * at which to start increasing power output.
     * </pre>
     *
     * <code>.commonmodule.HzWPoint underHzWPt = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.HzWPoint.Builder getUnderHzWPtBuilder() {
      bitField0_ |= 0x00000004;
      onChanged();
      return getUnderHzWPtFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * Underfrequency Droop &lt;i&gt;db&lt;/i&gt;UF  The frequency which must be lower than the reference frequency
     * at which to start increasing power output.
     * </pre>
     *
     * <code>.commonmodule.HzWPoint underHzWPt = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.HzWPointOrBuilder getUnderHzWPtOrBuilder() {
      if (underHzWPtBuilder_ != null) {
        return underHzWPtBuilder_.getMessageOrBuilder();
      } else {
        return underHzWPt_ == null ?
            openfmb.commonmodule.HzWPoint.getDefaultInstance() : underHzWPt_;
      }
    }
    /**
     * <pre>
     * Underfrequency Droop &lt;i&gt;db&lt;/i&gt;UF  The frequency which must be lower than the reference frequency
     * at which to start increasing power output.
     * </pre>
     *
     * <code>.commonmodule.HzWPoint underHzWPt = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.HzWPoint, openfmb.commonmodule.HzWPoint.Builder, openfmb.commonmodule.HzWPointOrBuilder> 
        getUnderHzWPtFieldBuilder() {
      if (underHzWPtBuilder_ == null) {
        underHzWPtBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.HzWPoint, openfmb.commonmodule.HzWPoint.Builder, openfmb.commonmodule.HzWPointOrBuilder>(
                getUnderHzWPt(),
                getParentForChildren(),
                isClean());
        underHzWPt_ = null;
      }
      return underHzWPtBuilder_;
    }

    private openfmb.commonmodule.OperationDLFW underHzWParameter_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.OperationDLFW, openfmb.commonmodule.OperationDLFW.Builder, openfmb.commonmodule.OperationDLFWOrBuilder> underHzWParameterBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.OperationDLFW underHzWParameter = 4 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the underHzWParameter field is set.
     */
    public boolean hasUnderHzWParameter() {
      return ((bitField0_ & 0x00000008) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.OperationDLFW underHzWParameter = 4 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The underHzWParameter.
     */
    public openfmb.commonmodule.OperationDLFW getUnderHzWParameter() {
      if (underHzWParameterBuilder_ == null) {
        return underHzWParameter_ == null ? openfmb.commonmodule.OperationDLFW.getDefaultInstance() : underHzWParameter_;
      } else {
        return underHzWParameterBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.OperationDLFW underHzWParameter = 4 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setUnderHzWParameter(openfmb.commonmodule.OperationDLFW value) {
      if (underHzWParameterBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        underHzWParameter_ = value;
      } else {
        underHzWParameterBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000008;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.OperationDLFW underHzWParameter = 4 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setUnderHzWParameter(
        openfmb.commonmodule.OperationDLFW.Builder builderForValue) {
      if (underHzWParameterBuilder_ == null) {
        underHzWParameter_ = builderForValue.build();
      } else {
        underHzWParameterBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000008;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.OperationDLFW underHzWParameter = 4 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeUnderHzWParameter(openfmb.commonmodule.OperationDLFW value) {
      if (underHzWParameterBuilder_ == null) {
        if (((bitField0_ & 0x00000008) != 0) &&
          underHzWParameter_ != null &&
          underHzWParameter_ != openfmb.commonmodule.OperationDLFW.getDefaultInstance()) {
          getUnderHzWParameterBuilder().mergeFrom(value);
        } else {
          underHzWParameter_ = value;
        }
      } else {
        underHzWParameterBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000008;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.OperationDLFW underHzWParameter = 4 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearUnderHzWParameter() {
      bitField0_ = (bitField0_ & ~0x00000008);
      underHzWParameter_ = null;
      if (underHzWParameterBuilder_ != null) {
        underHzWParameterBuilder_.dispose();
        underHzWParameterBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.OperationDLFW underHzWParameter = 4 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.OperationDLFW.Builder getUnderHzWParameterBuilder() {
      bitField0_ |= 0x00000008;
      onChanged();
      return getUnderHzWParameterFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.OperationDLFW underHzWParameter = 4 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.OperationDLFWOrBuilder getUnderHzWParameterOrBuilder() {
      if (underHzWParameterBuilder_ != null) {
        return underHzWParameterBuilder_.getMessageOrBuilder();
      } else {
        return underHzWParameter_ == null ?
            openfmb.commonmodule.OperationDLFW.getDefaultInstance() : underHzWParameter_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.OperationDLFW underHzWParameter = 4 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.OperationDLFW, openfmb.commonmodule.OperationDLFW.Builder, openfmb.commonmodule.OperationDLFWOrBuilder> 
        getUnderHzWParameterFieldBuilder() {
      if (underHzWParameterBuilder_ == null) {
        underHzWParameterBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.OperationDLFW, openfmb.commonmodule.OperationDLFW.Builder, openfmb.commonmodule.OperationDLFWOrBuilder>(
                getUnderHzWParameter(),
                getParentForChildren(),
                isClean());
        underHzWParameter_ = null;
      }
      return underHzWParameterBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:commonmodule.HzWAPC)
  }

  // @@protoc_insertion_point(class_scope:commonmodule.HzWAPC)
  private static final openfmb.commonmodule.HzWAPC DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.commonmodule.HzWAPC();
  }

  public static openfmb.commonmodule.HzWAPC getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<HzWAPC>
      PARSER = new com.google.protobuf.AbstractParser<HzWAPC>() {
    @java.lang.Override
    public HzWAPC parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<HzWAPC> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<HzWAPC> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.commonmodule.HzWAPC getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

